# Poco::XML

# class ProcessingInstruction

Library: XML
Package: DOM
Header: Poco/DOM/ProcessingInstruction.h

## Description

The ProcessingInstruction interface represents a "processing instruction", used in XML as a way to keep processor-specific information in the text of the document.

## Inheritance

Direct Base Classes: AbstractNode

All Base Classes: AbstractNode, DOMObject, EventTarget, Node

## Member Summary

Member Functions: copyNode, data, getData, getNodeValue, nodeName, nodeType, setData, setNodeValue, target

Inherited Functions: addEventListener, appendChild, attributes, autoRelease, bubbleEvent, captureEvent, childNodes, cloneNode, copyNode, dispatchAttrModified, dispatchCharacterDataModified, dispatchEvent, dispatchNodeInserted, dispatchNodeInsertedIntoDocument, dispatchNodeRemoved, dispatchNodeRemovedFromDocument, dispatchSubtreeModified, duplicate, events, eventsSuspended, firstChild, getNodeValue, hasAttributes, hasChildNodes, innerText, insertBefore, isSupported, lastChild, localName, namespaceURI, nextSibling, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, release, removeChild, removeEventListener, replaceChild, setNodeValue, setOwnerDocument

## Constructors

### ProcessingInstruction

ProcessingInstruction(
Document * pOwnerDocument,
const ProcessingInstruction & processingInstruction
);

### ProcessingInstruction

ProcessingInstruction(
Document * pOwnerDocument,
const XMLString & target,
const XMLString & data
);

## Destructor

### ~ProcessingInstruction

~ProcessingInstruction();

## Member Functions

### data

const XMLString & data() const;

Returns the content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the ?>.

### getData

const XMLString & getData() const;

Returns the content of this processing instruction. This is from the first non white space character after the target to the character immediately preceding the ?>.

### getNodeValue

const XMLString & getNodeValue() const;

See also: Poco::XML::AbstractNode::getNodeValue()

### nodeName

const XMLString & nodeName() const;

See also: Poco::XML::AbstractNode::nodeName()

### nodeType

unsigned short nodeType() const;

See also: Poco::XML::Node::nodeType()

### setData

void setData(
const XMLString & data
);

Sets the content of this processing instruction.

### setNodeValue

void setNodeValue(
const XMLString & data
);

See also: Poco::XML::AbstractNode::setNodeValue()

### target

const XMLString & target() const;

Returns the target of this processing instruction. XML defines this as being the first token following the markup that begins the processing instruction.

### copyNode

Node * copyNode(
bool deep,
Document * pOwnerDocument
) const;

See also: Poco::XML::AbstractNode::copyNode()